$(document).ready(function () {
  // -------------spin-------------------
  var resultWrapper = document.querySelector(".spin-result-wrapper");
  var wheel = document.querySelector(".wheel-img");
  $(".cursor-text").on("click", function (event) {
    $(this).off(event);
    if (wheel.classList.contains("rotated")) {
      resultWrapper.style.display = "block";
    } else {
      wheel.classList.add("super-rotation");
      setTimeout(function () {
        resultWrapper.style.display = "block";
        //таймер
        var timerdate = new Date();

        var curr_day = timerdate.getDate();
        var curr_hrs = timerdate.getHours();
        var curr_min = timerdate.getMinutes();
        var curr_sec = timerdate.getSeconds();

        var sec = 00;
        var min = 10;
        var hrs = 0;
        var days = curr_day + 0 - curr_day;

        var timer = setInterval(function () {
          sec--;

          if (sec == -1) {
            sec = 59;
            min--;
          }
          if (min == -1) {
            min = 09;
            hrs--;
          }

          if (hrs == -1) {
            hrs = 23;
            days--;
          }
          if (days == -1) {
            days = 30; //без учёта месяца года
          }

          days = days.toString();
          hrs = hrs.toString();
          min = min.toString();
          sec = sec.toString();

          if (hrs.length < 2) {
            hrs = "0" + hrs;
          }
          if (days.length < 2) {
            days = "0" + days;
          }
          if (min.length < 2) {
            min = "0" + min;
          }
          if (sec.length < 2) {
            sec = "0" + sec;
          }

          $(".timer-sec").text(sec);
          $(".timer-min").text(min);
          $(".timer-hrs").text(hrs);
          //    $('.timer-days').text(days);
        }, 1000);
      }, 8000);
      setTimeout(function () {
        $(".spin-wrapper").slideUp();
        $(".order_block").slideDown();
      }, 10000);
      wheel.classList.add("rotated");
    }
  });
  var closePopup = document.querySelector(".close-popup");
  $(".close-popup, .pop-up-button").click(function (e) {
    e.preventDefault();
    $(".spin-result-wrapper").fadeOut();
    var top = $(".spin-wrapper").offset().top;
    $("body,html").animate({ scrollTop: top }, 800);
  });

  $(".overlay2").click(function () {
    $(".overlay2, .spin-result-wrapper").fadeOut();
  });

  $(".btn_comeback").click(function () {
    $("#comeback").fadeOut(200);
  });

  // --------------SCROLL-------------------
  $("a").on("touchend, click", function (e) {
    e.preventDefault();
    $("body,html").animate(
      { scrollTop: $(".scroll_to_form").offset().top },
      400
    );
  });
  $(".ac_footer a, .ac_gdpr_fix a, .no_scroll").unbind("click");

});
